Update an existing user invitation
curl --request PATCH \
--url https://api.ctrl-hub.com/v3/user-invitations/{user_invitation_id} \
--header 'Content-Type: application/vnd.api+json' \
--header 'X-Session-Token: <api-key>' \
--data '
{
"data": {
"type": "<string>",
"attributes": {}
}
}
'import requests
url = "https://api.ctrl-hub.com/v3/user-invitations/{user_invitation_id}"
payload = { "data": {
"type": "<string>",
"attributes": {}
} }
headers = {
"X-Session-Token": "<api-key>",
"Content-Type": "application/vnd.api+json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-Session-Token': '<api-key>', 'Content-Type': 'application/vnd.api+json'},
body: JSON.stringify({data: {type: '<string>', attributes: {}}})
};
fetch('https://api.ctrl-hub.com/v3/user-invitations/{user_invitation_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>",
"attributes": {
"email": "jsmith@example.com",
"deferred": true
},
"meta": {
"created_at": "2023-11-07T05:31:56Z",
"expires_at": "2023-11-07T05:31:56Z",
"sent_at": "2023-11-07T05:31:56Z"
},
"relationships": {
"organisation": {
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>"
}
},
"invitor": {
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>"
}
},
"invitee": {
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>"
}
}
}
},
"jsonapi": {
"version": "<string>"
}
}{
"id": "98ca4a78-b66f-4234-9719-aaf832ee6669",
"status": "400",
"title": "A validation error was encountered",
"source": {
"parameter": "include"
},
"meta": {
"resource": "wrong_value"
}
}{
"id": "05fc9c8d-73b9-4697-9337-57f7a567a48f",
"status": "401",
"title": "You are not authorised to access this resource",
"detail": "In order to access this resource, you need the 'admin' role.",
"code": "AUTH.001"
}{
"id": "fe9d9a69-f0a7-4fdc-bb2c-176027f316c5",
"status": "500",
"title": "Internal Server Error",
"detail": "An unexpected error occurred on the server."
}Invitations
Update an invitation
Update an existing user invitation. This can only be updated by the recipient of the email and can only be updated to change the status to accepted or rejected. When accepted, the user becomes a member of the organisation that sent the invitation.
PATCH
/
v3
/
user-invitations
/
{user_invitation_id}
Update an existing user invitation
Authorizations
SessionOAuth2Cookie
Session token for authentication.
Path Parameters
The unique identifier for the user invitation.
Body
application/vnd.api+json
The user invitation to update.
Show child attributes
Show child attributes
⌘I